package reviewcontextrootsecondapp.web;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;

import javax.servlet.*;
import javax.servlet.http.*;

import reviewcontextrootsecondapp.ejb.HelloEJBLocal;

public class TryStuffServlet
	extends HttpServlet
{
	private static final String CONTENT_TYPE = "text/html; charset=windows-1252";

	protected static int fCounter = 2000;

	@EJB
	transient HelloEJBLocal vHelloEJB;

	public void init(ServletConfig pServletConfig)
		throws ServletException
	{
		super.init(pServletConfig);
	}

	public void doGet(HttpServletRequest pRequest,
		HttpServletResponse pResponse)
		throws ServletException, IOException
	{
		pResponse.setContentType(CONTENT_TYPE);
		PrintWriter vOut = pResponse.getWriter();
		vOut.println("<html>");
		vOut.println("<head><title>TryStuffServlet</title></head>");
		vOut.println("<body>");
		vOut.println("<h1>ReviewContextRootSecondApp : TryStuffServlet</h1>");
		vOut.println("<div>fCounter = " + fCounter + "</div>");
		vOut.println("<div>" + vHelloEJB.composeMessage(fCounter) + "</div>");
		fCounter = fCounter + 1;
		vOut.println("</body></html>");
		vOut.close();
	}
}
